Package org.apache.ignite.internal.management.tx

## Enum TxMappingType

- java.lang.Object
- - java.lang.Enum<TxMappingType>
  - - org.apache.ignite.internal.management.tx.TxMappingType

All Implemented Interfaces:
  `Serializable`, `Comparable<TxMappingType>`

    public enum TxMappingType
    extends Enum<TxMappingType>

Describes transaction mapping type.

### Enum Constant Summary

Enum Constants
`DHT` Primary node mapping.
`NEAR` Initiator node mapping (contains both near and primary keys).
`REMOTE` Backup node mapping.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable TxMappingType` `fromOrdinal​(int ord)` Efficiently gets enumerated value from its ordinal.
`static TxMappingType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TxMappingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEAR

    public static final TxMappingType NEAR

Initiator node mapping (contains both near and primary keys).

#### DHT

    public static final TxMappingType DHT

Primary node mapping.

#### REMOTE

    public static final TxMappingType REMOTE

Backup node mapping.

### Method Detail

#### values

    public static TxMappingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TxMappingType c : TxMappingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TxMappingType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable TxMappingType fromOrdinal​(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.